.TH TEEM "1" "December 10, 2008" "1.10.0" "User Commands"
.SH NAME
teem\-overrgb \- Composites an RGBA nrrd over a background color.
.SH SYNOPSIS
.B teem-overrgb
\fI-i <nin> \fR[\fI-c <contrast>\fR] [\fI-cfp <fixed point>\fR] \fI\\fR
.SH DESCRIPTION
\&./teem\-overrgb: Composites an RGBA nrrd over a background color (or image),
after doing gamma correction, then quantizes to an 8\-bit image. Actually, the
input nrrd can have more than 4 values per pixel, but only the first four are
used. If the RGBA nrrd is floating point, the values are taken at face value;
if it is fixed point, the values interpreted as having been quantized (so that
8\-bit RGBA images will act as you expect). When compositing with a background
image, the given background image does not have to be the same size as the
input image; it will be resampled (with linear interpolation) to fit.
.IP
[\-g <gamma>] [\-b <background>] [\-bi <nbg>] \fB\-o\fR <filename>
.HP
\fB\-i\fR <nin> = input nrrd to composite (nrrd)
.TP
\fB\-c\fR <contrast> = contrast to apply to RGB values, before gamma. "0.0"
means no change, "1.0" means thresholding, "\-1.0" means a
complete washout. (double); default: "0.0"
.PP
\fB\-cfp\fR <fixed point> = component level that doesn't change with contrast
.IP
(double); default: "0.5"
.TP
\fB\-g\fR <gamma> = gamma to apply to image data, after contrast (double);
default: "1.0"
.TP
\fB\-b\fR <background> = background color to composite against; white is 1 1 1,
not 255 255 255. (3 doubles); default: "0 0 0"
.TP
\fB\-bi\fR <nbg> = 8\-bit RGB background image to composite against (nrrd);
default: ""
.HP
\fB\-o\fR <filename> = file to write output PPM image to (string)
.SH "SEE ALSO"
The full documentation for
.B teem-overrgb
is maintained as a Texinfo manual.  If the
.B info
and
.B teem-overrgb
programs are properly installed at your site, the command
.IP
.B info teem-overrgb
.PP
should give you access to the complete manual.
